<?php if (have_posts()) : ?>
	<ul id="thumbnails">
		<?php 
		while (have_posts()) : the_post();
			$upload = wp_upload_dir();
			$filename = "thumb-$post->post_name.png";
			$thumbnail = (file_exists($upload['path']."/".$filename)
							? $upload['url']."/".$filename
							: get_template_directory_uri()."/images/thumb-default.png");
			?>
			<li>
				<div class="content">
					<a href="<?php the_permalink() ?>" rel="bookmark" 
						title="Permanent link to <?php the_title(); ?>" class="thumbnail"><img 
						src="<?php echo $thumbnail ?>" alt="<?php $post->post_name ?>" /></a>
					<h3><a href="<?php the_permalink() ?>"><?php the_title() ?></a></h3>
					<div class="text"><?php the_excerpt() ?></div>
				</div>
				<div class="metadata">
					<h3>Posted</h3>
					<p><?php the_date() ?><?php edit_post_link('[e]',' ',''); ?></p>
			
					<h3>Tags</h3>
					<p><?php the_category(', ') ?></p>
					<p><?php if (get_comments_number($id) > 0) comments_number('No comments &#187;', '1 comment', '% comments' ); ?></p>
				</div>
				<p class="clear"></p>
			</li>
		<?php endwhile; ?>
	</ul>
<?php else : ?>
	<?php if (is_search()) : ?>
		No search results matched your search.
	<?php else : ?>
		Not found
	<?php endif; ?>
<?php endif; ?>
